Bug 439910 - Ekiga crashes with ALSA
Ekiga crashes with ALSA
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
8
All Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
: 451572 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 18:46 EDT by Laurent Aguerreche
Modified: 2009-01-05 23:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 23:59:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent Aguerreche 2008-03-31 18:46:07 EDT
Description of problem:
Ekiga crashes when I test a microphone.

How reproducible:
Every time.

Steps to Reproduce:
1. Open configuration druid
2. Go to page "Audio devices - (7/10)"
3. Click on "Test settings"
4. You would see an assertion like this one :
ekiga: pcm_params.c:2351: sndrv_pcm_hw_params: Assertion `err >= 0' failed.

Actual results:
A crash (an assertion).

Additional info:
This crash seems to be related to ALSA, see :
http://groups.google.com/group/gsb-users/browse_thread/thread/83d99e92079106da
http://www.pulseaudio.org/ticket/23
Comment 1 Stefan Jensen 2008-07-21 08:58:19 EDT
It seems i deal with the same issue:
https://bugzilla.redhat.com/show_bug.cgi?id=451572
Comment 2 Peter Robinson 2008-11-14 06:26:56 EST
Is this still an issue? Have you upgraded to F-9 in the meantime? If so is it an issue there?
Comment 3 Peter Robinson 2008-11-14 06:27:41 EST
*** Bug 451572 has been marked as a duplicate of this bug. ***
Comment 4 Laurent Aguerreche 2008-11-14 17:51:00 EST
I updated to Fedora 9 (a 64 bits now...) and Ekiga does not crash anymore but gets frozen... A pop-up is displayed when I click on "Test settings" to ask me to talk for testing sound, sound seems to work, then Ekiga becomes frozzen when I click on the "OK" button.

I ran ekiga with debug at level 6 and saw the following error after I pressed the "Test settings" button but just before I heard sound:

*** PULSEAUDIO: Unable to create stream.
Cannot set parameters Input/output error
*** PULSEAUDIO: Unable to create stream.
Cannot set parameters Input/output error
Comment 5 Peter Robinson 2008-11-14 18:07:32 EST
Yes, that looks the same as bug 466231 which I've seen with ekiga, rhythmbox, pidgin so its a pulseaudio issue rather than ekiga issue. With luck F-10 should be an improvement in that regard.
Comment 6 Bug Zapper 2008-11-26 05:20:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Peter Robinson 2009-01-05 23:59:46 EST
Closing this bug as its against Fedora 8 which is now EOL. If you still have this issue please upgrade to Fedora 9 or Fedora 10, retest and re-open a new bug report if it still persists.

Note You need to log in before you can comment on or make changes to this bug.